/* 파일 설명 적는곳

   This file is part of otak-dbmanager.

   Copyright (C) 2007 Otak-dbmanager Project.

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
*/

#ifndef ODMCONF_H_
#define ODMCONF_H_

#include "type/odmconninfodefine.h"

void            odm_conf_path_init              (const gchar *exec_path);
const gchar*    odm_conf_get_exec_abs_path      (void);
void            odm_conf_set_conn_info_prov     (OdmConnInfoProv value);
OdmConnInfoProv odm_conf_get_conn_info_prov     (void);
const gchar*    odm_conf_get_config_abs_dir     (void);
const gchar*    odm_conf_get_glade_abs_dir      (void);
const gchar*    odm_conf_get_image_abs_dir      (void);

#endif /*ODMCONF_H_*/
