/* 파일 설명 적는곳

   This file is part of otak-dbmanager.

   Copyright (C) 2007 Otak-dbmanager Project.

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
*/

#include <string.h>
#include <stdlib.h>

#include "otdbindexkeycub.h"

static OtDbIndexKeyClass *ot_db_index_key_cub_parent_class = NULL;



static void
ot_db_index_key_cub_dispose (GObject *gobject)
{
//    OtDbIndexKeyCub *index_key_cub = OT_DB_INDEX_KEY_CUB (gobject);

    G_OBJECT_CLASS (ot_db_index_key_cub_parent_class)->dispose (gobject);
}

static void
ot_db_index_key_cub_class_init (OtDbIndexKeyCubClass *class)
{
    GObjectClass *gobject_class = G_OBJECT_CLASS (class);

    ot_db_index_key_cub_parent_class = g_type_class_peek_parent (class);

    gobject_class->dispose = ot_db_index_key_cub_dispose;
}

static void
ot_db_index_key_cub_init (OtDbIndexKeyCub *index_key)
{
}

GType
ot_db_index_key_cub_get_type (void)
{
    static GType widget_type = 0;

    if (G_UNLIKELY (widget_type == 0))
    {
        const GTypeInfo widget_info =
        {
            sizeof (OtDbIndexKeyCubClass),
            NULL,       /* base_init */
            NULL,
            (GClassInitFunc) ot_db_index_key_cub_class_init,
            NULL,       /* class_finalize */
            NULL,       /* class_data */
            sizeof (OtDbIndexKeyCub),
            0,          /* n_preallocs */
            (GInstanceInitFunc) ot_db_index_key_cub_init,
            NULL,       /* value_table */
        };
        widget_type = g_type_register_static (OT_TYPE_DB_INDEX_KEY, "OtDbIndexKeyCub",
                &widget_info, 0);
    }

    return widget_type;
}



/*
 * public
 */

OtDbIndexKey*
ot_db_index_key_cub_new (void)
{
    OtDbIndexKeyCub *index_key = OT_DB_INDEX_KEY_CUB (g_object_new (OT_TYPE_DB_INDEX_KEY_CUB, NULL));

    return OT_DB_INDEX_KEY (index_key);
}
