/* 파일 설명 적는곳

   This file is part of otak-dbmanager.

   Copyright (C) 2007 Otak-dbmanager Project.

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
*/

#ifndef OTGTK_H_
#define OTGTK_H_

#include <gtk/gtk.h>

GtkWidget*  ot_gtk_widget_free                          (GtkWidget *widget);
void        ot_gtk_widget_move_container                (GtkWidget      *widget,
                                                         GtkContainer   *container);
gboolean    ot_gtk_list_store_compare_value             (GtkListStore   *store,
                                                         GtkTreeIter    *iter,
                                                         GType           type,
                                                         gint            index,
                                                         gpointer        value);
gboolean    ot_gtk_list_store_set_value                 (GtkListStore   *store,
                                                         GtkTreeIter    *iter,
                                                         GType           type,
                                                         gint            index,
                                                         gpointer        value,
                                                         gboolean        compare);
gboolean    ot_gtk_list_store_valid_from_string         (GtkListStore   *store,
                                                         GType           type,
                                                         const gchar    *value);
gboolean    ot_gtk_list_store_set_value_from_string     (GtkListStore   *store,
                                                         GtkTreeIter    *iter,
                                                         GType           type,
                                                         gint            index,
                                                         const gchar    *value,
                                                         gboolean        compare);

#endif /*OTGTK_H_*/
