/* 파일 설명 적는곳

   This file is part of otak-dbmanager.

   Copyright (C) 2007 Otak-dbmanager Project.

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
*/

#ifndef ODMVALIDATION_H_
#define ODMVALIDATION_H_

#include "otak-lib/otak-widget/otvalue.h"

// TODO luna : 국제화
#define ODM_VALIDATION_MSG_REQUIRE  "%s는(은) 필수 입력항목입니다"
#define ODM_VALIDATION_MSG_NUMERIC  "%s는(은) 숫자만 입력 가능합니다"
#define ODM_VALIDATION_MSG_ALPHA    "%s는(은) 영문만 입력 가능합니다"
#define ODM_VALIDATION_MSG_ALPHANUM "%s는(은) 영문과 숫자만 입력 가능합니다"
#define ODM_VALIDATION_MSG_ONEBYTE  "%s는(은) 멀티바이트 문자를 입력할 수 없습니다."
#define ODM_VALIDATION_MSG_LENGTH   "%s는(은) %d 이상 %d자 이하만 입력 가능합니다."

gchar* odm_validation_dup_err_msg (OtValue *otvalue);

#endif /*ODMVALIDATION_H_*/
