/* 파일 설명 적는곳

   This file is part of otak-dbmanager.

   Copyright (C) 2007 Otak-dbmanager Project.

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
*/

#ifndef OTDBDATASETCUB_H_
#define OTDBDATASETCUB_H_

#include "cas_cci.h"
#include "otdbdataset.h"

G_BEGIN_DECLS

#define OT_TYPE_DB_DATASET_CUB               (ot_db_dataset_cub_get_type ())
#define OT_DB_DATASET_CUB(obj)               (G_TYPE_CHECK_INSTANCE_CAST ((obj), OT_TYPE_DB_DATASET_CUB, OtDbDatasetCub))
#define OT_DB_DATASET_CUB_CLASS(klass)       (G_TYPE_CHECK_CLASS_CAST ((klass), OT_TYPE_DB_DATASET_CUB, OtDbDatasetCubClass))
#define OT_IS_DB_DATASET_CUB(obj)            (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OT_TYPE_DB_DATASET_CUB))
#define OT_IS_DB_DATASET_CUB_CLASS(klass)    (G_TYPE_CHECK_CLASS_TYPE ((klass), OT_TYPE_DB_DATASET_CUB))
#define OT_DB_DATASET_CUB_GET_CLASS(obj)     (G_TYPE_INSTANCE_GET_CLASS ((obj), OT_TYPE_DB_DATASET_CUB, OtDbDatasetCubClass))


typedef struct _OtDbDatasetCub      OtDbDatasetCub;
typedef struct _OtDbDatasetCubClass OtDbDatasetCubClass;

struct _OtDbDatasetCub
{
    OtDbDataset  dataset;

    gint req_handle;
};

struct _OtDbDatasetCubClass
{
    OtDbDatasetClass parent_class;
};

GType           ot_db_dataset_cub_get_type  (void);
OtDbDataset*    ot_db_dataset_cub_new       (void);

G_END_DECLS

#endif /*OTDBDATASETCUB_H_*/
